
using UnityEngine;

public class MoveCharacter2 : MonoBehaviour
{
    [SerializeField] float speedMove = 1f; //  
    [SerializeField] float gravityMove = -9.81f; //  
    [SerializeField] float jump = 10f; //  
    public float jumpUp; // 

    Vector3 move; //    
    CharacterController controller; // 


    //  Start    
    void Start()
    {
        controller = GetComponent<CharacterController>(); //  character controller  
    }


    //  FixedUpdate  50   
    private void FixedUpdate()
    {
        Move();    //   
        Jump();     //   

    }
    //  
    private void Move()
    {
        float x = Input.GetAxis("Vertical");//      
        float y = Input.GetAxis("Horizontal"); //     y
        
        transform.Rotate(Vector3.up, y); //       

        move = (transform.forward * speedMove * x + transform.up * jumpUp) * Time.deltaTime;  //          

        controller.Move(move); //     Character Controller     
    }
    //  
    void Jump()
    {
        if (Input.GetKeyDown(KeyCode.Space) && controller.isGrounded) //     
        {
            jumpUp = jump; //   
            
        }



        if (!controller.isGrounded) //     
        {
            jumpUp += gravityMove * Time.deltaTime; //  
        }
    }

}
